Bug 180102 - Review Request: embryo: A C like scripting language
Review Request: embryo: A C like scripting language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 180149
  Show dependency treegraph
 
Reported: 2006-02-05 15:01 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 13:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-02-05 15:01:39 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/embryo.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/evas-0.9.1.023-1.src.rpm
Description: Embryo implements a C like scripting language used in various parts of the Enlightenment project, namely Edje. Embryo's scripting language is based on CompuPhase's Small language that was introduced in Dr Dobb's Journal in 1999. Embryo allows scripting capabilities in places that otherwise wouldn't support basic programming structures such as in Edje EDCs.
Comment 1 Jason Tibbitts 2006-02-12 18:30:03 EST
I think you gave the link to the wrong srpm there, but I found the proper one
and gave a quick look.

Are you sure that license is MIT?  It seems to have an advertising clause that
is not in the stock MIT license as found at
http://www.opensource.org/licenses/mit-license.php, and indeed seems closer to
the three clause BSD license (but I'm no expert).  Here is the clause:

The above copyright notice and this permission notice shall be included in
all copies of the Software and its Copyright notices. In addition publicly
documented acknowledgment must be given that this software has been used if no
source code of this software is made available publicly. This includes
acknowledgments in either Copyright notices, Manuals, Publicity and Marketing
documents or any documentation provided with any product containing this
software. This License does not apply to any software that links to the
libraries provided by this software (statically or dynamically), but only to
the software provided.
Comment 2 Ignacio Vazquez-Abrams 2006-02-23 06:36:51 EST
The BSD license prevents the use of the name of <ORGANIZATION> from being used
to endorse or promote derived products, whereas this license requires
acknowledgement if the source code is not made available. While it isn't MIT per
se, it's certainly not BSD.
Comment 3 John Mahowald 2006-04-11 23:22:26 EDT
rpmlint:
E: embryo binary-or-shlib-defines-rpath /usr/bin/embryo ['/usr/lib64']
E: embryo-devel only-non-binary-in-usr-lib
Symlink, ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT-ish) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

APPROVED
Comment 4 Ignacio Vazquez-Abrams 2006-04-27 13:51:11 EDT
Built on FC4, FC5, and devel.

Note You need to log in before you can comment on or make changes to this bug.